Bug Hunting Session
Bug 118070 - LibreOffice 6.0.4.2 fails to build with GLM 0.9.9.0: GLM_GTX_bit is an experimental extension
Summary: LibreOffice 6.0.4.2 fails to build with GLM 0.9.9.0: GLM_GTX_bit is an experi...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.4.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0 target:6.1.0.1 target:6.0.5
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-08 14:34 UTC by Louis Sautier
Modified: 2018-06-15 11:46 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
glm.patch (474 bytes, patch)
2018-06-08 14:35 UTC, Louis Sautier
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Louis Sautier 2018-06-08 14:34:32 UTC
Description:
As reported here: https://bugs.gentoo.org/657178, LibreOffice doesn't build with GLM 0.9.9.0 because it uses experimental features added in https://github.com/g-truc/glm/commit/6482dd29d26968e07b697fdf0222d16223de40be

Steps to Reproduce:
1. Compile LibreOffice with SYSTEM_GLM=ON

Actual Results:  
In file included from /var/tmp/portage/app-office/libreoffice-6.0.4.2/work/libreoffice-6.0.4.2/vcl/workben/icontest.cxx:23:0:
/usr/include/glm/gtx/bit.hpp:19:3: error: #error "GLM: GLM_GTX_bit is an experimental extension and may change in the future. Use #define GLM_ENABLE_EXPERIMENTAL before including it, if you really want to use it."
 # error "GLM: GLM_GTX_bit is an experimental extension and may change in the future. Use #define GLM_ENABLE_EXPERIMENTAL before including it, if you really want to use it."
   ^~~~~
make[1]: *** [/var/tmp/portage/app-office/libreoffice-6.0.4.2/work/libreoffice-6.0.4.2/solenv/gbuild/LinkTarget.mk:293: /var/tmp/portage/app-office/libreoffice-6.0.4.2/work/libreoffice-6.0.4.2/workdir/CxxObject/vcl/workben/icontest.o] Error 1

Expected Results:
It should have compiled.


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101 Firefox/60.0
Comment 1 Louis Sautier 2018-06-08 14:35:26 UTC
Created attachment 142618 [details]
glm.patch

The following patch adds the required define which fixes the build.
Comment 2 Buovjaga 2018-06-08 14:48:18 UTC
(In reply to Louis Sautier from comment #1)
> Created attachment 142618 [details]
> glm.patch
> 
> The following patch adds the required define which fixes the build.

Can you please submit the patch to gerrit?
https://wiki.documentfoundation.org/Development/gerrit
https://wiki.documentfoundation.org/Development/gerrit/SubmitPatch
Comment 3 Louis Sautier 2018-06-08 14:50:34 UTC
The patch is not mine so I'm not sure I can add it myself. Here's the user who added it: https://bugs.gentoo.org/657178#c2
Comment 4 Buovjaga 2018-06-08 14:58:01 UTC
I asked on #libreoffice-dev but this is already fixed https://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-6-0&id=7984347b9a2fce74cdce0c1c5b27f6e2b55a2f49
Comment 5 Rene Engelhard 2018-06-08 15:08:54 UTC
I was who said that, actually now I see I disable building icontest (https://salsa.debian.org/libreoffice-team/libreoffice/libreoffice/blob/master/patches/disable-unused-test-programs.diff) so didn't see this part.

This apparently is still valid.

(Why unused test programs are built per default is an other matter.)
Comment 6 Commit Notification 2018-06-10 10:55:40 UTC
Louis Sautier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5f1bf6598b5725ad1e50ae9f7ec7524cc8a834fa

Fix build with GLM 0.9.9.0, tdf#118070

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2018-06-10 10:57:02 UTC
Louis Sautier committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4731827db269a11b8f12e22076a2f3c297298450&h=libreoffice-6-1

Fix build with GLM 0.9.9.0, tdf#118070

It will be available in 6.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-06-11 15:37:33 UTC
Louis Sautier committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3a2505715f91cc871004aad064f11516d0027ed6&h=libreoffice-6-0

Fix build with GLM 0.9.9.0, tdf#118070

It will be available in 6.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2018-06-12 09:47:04 UTC
Louis Sautier committed a patch related to this issue.
It has been pushed to "libreoffice-6-0-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5c1cedd91269295d0553f86dd23545530fe7e581&h=libreoffice-6-0-5

Fix build with GLM 0.9.9.0, tdf#118070

It will be available in 6.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.